/* eslint-disable import/no-extraneous-dependencies */

import gulp from 'gulp'

import babelify from 'babelify'
import browserify from 'browserify'
import gutil from 'gulp-util'
import rimraf from 'gulp-rimraf'
import source from 'vinyl-source-stream'

const config = {
  entryFile: './src/ElectronBrowserView.js',
  outputDir: './lib',
  outputFile: './ElectronBrowserView.js'
}

gulp.task('build', () =>
  browserify(config.entryFile, {
    extensions: ['jsx'],
    standalone: 'ElectronBrowserView'
  }).transform(babelify)
    .external('react')
    .external('react-dom')
    .bundle()
    .on('error', gutil.log)
    .pipe(source(config.outputFile))
    .pipe(gulp.dest(config.outputDir))
)

gulp.task('clean', () =>
  gulp.src('./lib/**/*')
    .pipe(rimraf())
)

gulp.task('watch', () => {
  gulp.watch('./src/**/*', ['build'])
})
